INSTALL-INFO(1)

NUME
install-info - actualizează intrările info/dir

SINOPSIS
install-info [OPȚIUNE]... [FIȘIER-INFO [FIȘIER-INDEX]]

DESCRIERE
Adaugă sau elimină intrări în FIȘIER-INFO din directorul Info FIȘIER-INDEX. FIȘIER-INFO și FIȘIER-INDEX sunt obligatorii, cu excepția cazului în care nu se dau opțiunile --info-file sau --dir-file (sau --info-dir).

OPȚIUNI

--add-once
    adaugă numai la prima secțiune care se potrivește, nu la toate.

--align=COL
    începe descrierea noilor intrări la coloana COL.

--calign=COLOANE
    formatează a doua și următoarele linii de descriere pentru a începe la coloana COL.

--debug
    raportează ce se face în fiecare moment.

--delete
    șterge intrările existente pentru FIȘIER-INFO din FIȘIER-INDEX; nu introduce nicio intrare nouă.

--defsection=TEXT
    precum --section, dar folosește TEXT numai dacă nu există secțiuni în FIȘIER-INFO (înlocuind „Miscellaneous”).

--description=TEXT
    descrierea intrării este TEXT; folosită cu opțiunea --name pentru a deveni sinonimă cu opțiunea --entry.

--dir-file=NUME
    specifică numele de fișier al fișierului de index Info; echivalent cu utilizarea argumentului FIȘIER-INDEX.

--dry-run
    la fel ca opțiunea --test.

--entry=TEXT
    inserează TEXT ca o intrare în fișierul de index Info, înlocuind orice intrare corespunzătoare din FIȘIER-INDEX. TEXT este scris ca o linie de element de meniu Info urmată

de zero sau mai multe linii suplimentare care încep cu spații albe.
    Dacă specificați mai mult de o intrare, toate sunt adăugate. Dacă nu specificați nicio intrare, acestea sunt determinate

    din informațiile din fișierul Info însuși.

--help
    afișează acest mesaj de ajutor și iese.

--info-dir=INDEX
    la fel ca --dir-file=INDEX/dir.

--info-file=FIȘIER
    specifică fișierul Info care urmează să fie instalat în director; este echivalent cu utilizarea argumentului FIȘIER-INFO.

--item=TEXT
    la fel ca --entry=TEXT.

--keep-old
    nu înlocuiește intrările și nu elimină secțiunile goale.

--maxwidth, --max-width=COL
    încadrează descrierea la coloana COL.

--menuentry=TEXT
    la fel ca --name=TEXT.

--name=TEXT
    numele intrării este TEXT; utilizată împreună cu --description pentru a deveni sinonimă cu opțiunea --entry.

--no-indent
    nu formatează noi intrări în fișierul INDEX.

--quiet
    suprimă avertismentele.

--regex=EXP_REG
    pune intrările acestui fișier în toate secțiunile care se potrivesc cu expresia regulată EXP_REG (ignorând majusculele și minusculele).

--remove
    la fel ca --delete.

--remove-exactly
    elimină numai dacă numele fișierului info se potrivește exact; sufixele precum .info și .gz nu sunt ignorate.

--section=SECȚIUNE
    pune intrări în secțiunea SECȚIUNE a fișierului de index. Dacă specificați mai multe secțiuni, toate intrările

sunt adăugate în fiecare dintre secțiuni.
    Dacă nu specificați nicio secțiune, acestea sunt determinate

din informațiile din fișierul Info însuși; dacă nu este
    nimic disponibil acolo, se folosește valoarea --defsection; dacă nu este specificată, valoarea implicită finală este „Miscellaneous”.

--section EXP_REG-SECȚIUNE
    echivalentă cu --regex=EXP_REG --section=SECȚIUNE --add-once.

--silent
    suprimă avertismentele.

--test
    suprimă actualizarea FIȘIER-INDEX.

--version
    afișează informațiile despre versiune și iese.

RAPORTAREA ERORILOR
Trimiteți prin e-mail rapoartele de eroare la bug-texinfo@gnu.org, întrebări generale și discuții la help-texinfo@gnu.org.
Pagina principală a Texinfo: http://www.gnu.org/software/texinfo/

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru install-info este menținută ca un manual Texinfo. Dacă programele info și install-info sunt instalate corect în sistemul dvs., comanda

    info install-info

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.